@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Poppins', sans-serif;
  line-height: 1.6;
  color: #fff;
  background-color: #202142;
}

ul {
  list-style: none;
}

.container {
  margin: auto;
  padding: 0 20px;
  max-width: 768px;
}

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  
  margin-bottom: 30px;
  height: 70px;
  width: 100%;
}

.card {
  position: relative;
  margin: 20px 0;
  padding: 40px 50px;

  border-radius: 15px;
  color: #333;
  background-color: #fff;
}

.card.reverse {
  color: #fff;
  background-color: rgba(0, 0, 0, 0.4);
}

.card h2 {
  font-size: 22px;
  font-weight: 600;
  text-align: center;
}

.rating {
  display: flex;
  justify-content: space-around;
  align-items: center;
  margin: 30px 0 40px;
}

.rating li,
.num-display {
  position: relative;
  padding: 10px;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  border: 1px #eee solid;

  text-align: center;
  font-size: 19px;
  background: #f4f4f4;
  transition: 0.3s;
}

.rating li label {
  position: absolute;
  top: 50%;
  left: 50%;
  padding: 10px;
  width: 50px;
  height: 50px;

  border-radius: 50%;
  cursor: pointer;
  transform: translate(-50%, -50%);
}

.rating li:hover,
.num-display {
  color: #fff;
  background: #ff6a95;
}

[type='radio'] {
  opacity: 0;
}

[type='radio']:checked ~ label {
  color: #fff;
  background: #ff6a95;
}

.input-group {
  display: flex;
  flex-direction: row;
  padding: 8px 10px;

  border: 1px solid #ccc;
  border-radius: 8px;
}

input {
  flex-grow: 2;
  border: none;
  font-size: 16px;
}

input:focus {
  outline: none;
}

.feedback-stats {
  display: flex;
  justify-content: space-between;
  align-items: center;

  color: #fff;
}

.num-display {
  position: absolute;
  top: -10px;
  left: -10px;
}

.close,
.edit {
  position: absolute;
  top: 10px;
  right: 20px;

  border: none;
  background: none;
  cursor: pointer;
}

.edit {
  right: 40px;
}

.btn {
  width: 100px;
  height: 40px;
  border: 0;
  border-radius: 8px;

  color: #fff;
  cursor: pointer;
}

.btn-primary {
  background-color: #202142;
}

.btn-secondary {
  background: #ff6a95;
}

.btn:hover {
  transform: scale(0.98);
  opacity: 0.9;
}

.btn:disabled {
  color: #333;
  background-color: #cccccc;
  cursor: auto;
}

.btn:disabled:hover {
  transform: scale(1);
  opacity: 1;
}

.message {
  padding-top: 10px;

  text-align: center;
  color: rebeccapurple;
}

/* FIX: Remove position: absolute to keep about icon at the bottom of the
 * document */
.about-link {
  display: flex;
  justify-content: flex-end;
}

/* FIX: Remove position: absolute to keep about icon at the bottom of the
 * document */
.about-link a {
  color: #fff;
  cursor: pointer;
}

.about-link a:hover {
  color: #ff6a95;
}

.about h1 {
  margin-bottom: 20px;
}

.about p {
  margin: 10px 0;
}

@media (max-width: 600px) {
  .rating li {
    margin: 10px 3px;
  }

  .rating {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    
    margin: 30px 0 40px;
  }

  .input-group input {
    width: 80%;
  }
}